---
apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: export-reviews
  namespace: faas

spec:
  interval: 10m

  chart:
    spec:
      chart: universal-chart
      version: "0.1.7"
      sourceRef:
        kind: HelmRepository
        name: yc-oci-charts
        namespace: flux-system
      interval: 10m

  install:
    remediation:
      retries: 3

  upgrade:
    remediation:
      retries: 3

  values:
    global:
      env: _default

    services:
      export-reviews:
        enabled: true

        image:
          name:
            _default: cr.yandex/crp3ccidau046kdj8g9q/export-reviews:prod_c4cae4ee
          pullPolicy:
            _default: IfNotPresent

        deployment:
          enabled: true

          name:
            _default: export-reviews

          replicaCount:
            _default: 1

          port:
            _default: 8000

          probes:
            liveness:
              enabled: false
            readiness:
              enabled: false

        service:
          enabled: true

          name:
            _default: export-reviews-service

          type:
            _default: ClusterIP

          port:
            _default: 8000

          targetPort:
            _default: 8000

          portName:
            _default: http

        imagePullSecrets:
          enabled:
            _default: true
          name:
            _default: dockerhub

        envs:
          - name: BASE_HOST
            value:
              _default: "https://srx.wb.ru"

          - name: DJANGO_HOST
            value:
              _default: "https://srx.wb.ru"

          - name: REVIEWS_HOST
            value:
              _default: "https://srx.wb.ru/flows"

          - name: GATEWAY_HOST
            value:
              _default: "https://srx.wb.ru/gateway"

          - name: DOCUMENTATIONS_HOST
            value:
              _default: "https://srx.wb.ru/documentations"

          - name: EAV_HOST
            value:
              _default: "http://eav-service.eav.svc.cluster.local:8000"

          - name: TRANSMITTALS_INTERNAL_HOST
            value:
              _default: "http://transmittal-service.transmittal.svc.cluster.local:80/internal/v1"

          - name: DJANGO_TIMEOUT
            value:
              _default: "180"

          - name: REVIEWS_TIMEOUT
            value:
              _default: "180"

          - name: GATEWAY_TIMEOUT
            value:
              _default: "60"

          - name: DOCUMENTATIONS_TIMEOUT
            value:
              _default: "60"

          - name: EAV_TIMEOUT
            value:
              _default: "30"

          - name: TRANSMITTALS_TIMEOUT
            value:
              _default: "30"

          - name: TIMEOUT
            value:
              _default: "180"

        commitSha: ""
        gitlabUri: ""
        gitlabJobUrl: ""
        owner: ""
